<?xml version="1.0" encoding="ISO-8859-1"?>
<xsl:stylesheet version="1.0"
xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
>
<xsl:template match="/">
  <html>
  <head>
     <title>Alignment Coverage and Depth</title>
     <script type="text/javascript">
     <![CDATA[     
     function getElementsByClass( searchClass, domNode, tagName) {
	    if (domNode == null) domNode = document;
	    if (tagName == null) tagName = '*';
	    var el = new Array();
	    var tags = domNode.getElementsByTagName(tagName);
	    var tcl = " "+searchClass+" ";
	    for(i=0,j=0; i<tags.length; i++) {
		   var test = " " + tags[i].className + " ";
		   if (test.indexOf(tcl) != -1)
			  el[j++] = tags[i];
	      }
	    return el;
      }     
      function depth_fields(){         
         var depth_fields=getElementsByClass('depth_fields');
         for(var i=0;i<depth_fields.length;i++){
           var current_display=depth_fields[i].style.display;
           if(current_display=='none'){
             depth_fields[i].style.display = 'block';
           }
           if(current_display=='block'){
             depth_fields[i].style.display = 'none';
           }
         }
      }
      ]]>
     </script>
  </head>
  <body>
  <h2>Split Stats</h2>
  <hr/>
  <xsl:apply-templates select="stats/splitting_percentages"/>
  <xsl:apply-templates select="stats/coverages"/>
  </body>
  </html>
</xsl:template>

<xsl:template match="coverages">
  <h3>
    Coverage based on Fastq <xsl:value-of select="@fastq"/> against Reference <xsl:value-of select="@reference"/>
   </h3>
   <hr/>
   <xsl:apply-templates select="coverage_google_chart"/>
   <table border="1">
   <tr>
    <th>Sequence</th>
    <th>Alignment Coverage %</th>
    <th>Depth:Number of Bases</th>
    <th>Depth google chart</th>
  </tr>
  <xsl:apply-templates select="coverage"/>
   </table>
</xsl:template>

<xsl:template match="coverage">
  <tr>
    <td><xsl:value-of select="@sequence"/></td>
    <td><xsl:value-of select="@value"/></td>
    <td>
    <input type="button" value="Show/Hide depth values" onclick="depth_fields()"></input>
    <br/>
    <div>
       <xsl:attribute name="class">depth_fields</xsl:attribute> 
       <xsl:attribute name="style">display:none</xsl:attribute>    
       <xsl:apply-templates select="depth"/>
    </div>
    </td>
    <td><xsl:apply-templates select="depth_google_chart"/></td>
  </tr>
</xsl:template>

<xsl:template match="depth">
   <xsl:value-of select="@value"/>:<xsl:value-of select="@num_of_position"/>
   <xsl:text> </xsl:text>
</xsl:template>

<xsl:template match="depth_google_chart">
  <img>
   <xsl:attribute name="src">
    <xsl:value-of select="@url" />
  </xsl:attribute>
  </img>
</xsl:template>

<xsl:template match="coverage_google_chart">
  <img>
   <xsl:attribute name="src">
    <xsl:value-of select="@url" />
  </xsl:attribute>
  </img>
</xsl:template>

<xsl:template match="splitting_percentages">
  <h3>
  Spliting percentage against reference <xsl:value-of select="@reference"/>
  </h3>
  <table border="1">
  <tr>
    <th>Fastq</th>
    <th>Aligned Percentage %</th>
    <th>NO. of Aligned Reads</th>
    <th>No. of not Aligned Reads</th>
    <th>Total Reads</th>
  </tr>
  <xsl:apply-templates/>
  </table> 
</xsl:template>

<xsl:template match="percentage">
  <tr>
    <td>
    <xsl:value-of select="@fastq"/>
    <xsl:if test="@fastq2">
    <br/>
    <xsl:value-of select="@fastq2"/>
    </xsl:if>
    </td>
    <td><xsl:value-of select="@value"/></td>
    <td><xsl:value-of select="@num_aligned"/></td>
    <td><xsl:value-of select="@num_not_aligned"/></td>
    <td><xsl:value-of select="@num_total"/></td>
  </tr>
</xsl:template>

</xsl:stylesheet>

