#############
# Created By: Marina Gourtovaia
# Maintainer: $Author: ajb $
# Created On: 23 April 2010
# Last Modified: $Date: 2011-07-21 16:26:34 +0100 (Thu, 21 Jul 2011) $
# $Id: lane.pm 13725 2011-07-21 15:26:34Z ajb $
# $HeadURL: svn+ssh://svn.internal.sanger.ac.uk/repos/svn/new-pipeline-dev/useful_modules/tags/release-37.0/lib/npg_common/roles/run/lane.pm $

package npg_common::roles::run::lane;

use Moose::Role;
use Moose::Util::TypeConstraints;

use Readonly; Readonly::Scalar our $VERSION => do { my ($r) = q$LastChangedRevision: 13725 $ =~ /(\d+)/mxs; $r; };

Readonly::Scalar our $POSITION_MIN  => 1;
Readonly::Scalar our $POSITION_MAX  => 8;

subtype 'NPG_LaneNumber'
      => as Int
      => where { $_ >= $POSITION_MIN && $_ <= $POSITION_MAX };

has 'position'    => (isa       => 'NPG_LaneNumber',
                      is        => 'rw',
                      required  => 1,
                     );

sub lane_archive {
    my $self = shift;
    return q[lane].$self->position;
}

1;

__END__

=head1 NAME

npg_common::roles::run::lane

=head1 VERSION

$LastChangedRevision: 13725 $

=head1 SYNOPSIS

=head1 DESCRIPTION

lane interface

=head1 SUBROUTINES/METHODS

=head2 position - position or lane number, an integer from 1 to 8 inclusive

=head2 lane_archive - the name of the directory with the lane archive (used for demultiplexed lanes)

=head1 DIAGNOSTICS

=head1 CONFIGURATION AND ENVIRONMENT

=head1 DEPENDENCIES

=over

=item Moose::Role

=item Moose::Util::TypeConstraints

=item Readonly

=back

=head1 INCOMPATIBILITIES

=head1 BUGS AND LIMITATIONS

=head1 AUTHOR

$Author: ajb $

=head1 LICENSE AND COPYRIGHT

Copyright (C) 2010 GRL, by Marina Gourtovaia

This file is part of NPG.

NPG is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program.  If not, see <http://www.gnu.org/licenses/>.

=cut
