#########
# Author:        gq1
# Maintainer:    $Author: ajb $
# Created:       2010-10-05
# Last Modified: $Date: 2011-07-21 16:26:34 +0100 (Thu, 21 Jul 2011) $
# Id:            $Id: 10-sequence-BAM_Index.t 13725 2011-07-21 15:26:34Z ajb $
# $HeadURL: svn+ssh://svn.internal.sanger.ac.uk/repos/svn/new-pipeline-dev/useful_modules/tags/release-37.0/t/10-sequence-BAM_Index.t $
#

use strict;
use warnings;
use Carp;
use English qw{-no_match_vars};
use Test::More tests => 3;
use Test::Exception;

use_ok('npg_common::sequence::BAM_Index');

{
  my $bam = npg_common::sequence::BAM_Index->new(
               {
                 input_bam     => '/tmp/5233/5233_1#0.bam',
               });
  is( $bam->output_bam_index(), '/tmp/5233/5233_1#0.bai', 'output bam index file name');
  is( $bam->bam_index_cmd(), q{/software/bin/java -Xmx2000m -jar /software/solexa/bin/aligners/picard/current/BuildBamIndex.jar INPUT=/tmp/5233/5233_1#0.bam VALIDATION_STRINGENCY='SILENT' VERBOSITY='ERROR'}, 'bam indexing cmd');
}

1;
