#########
# Author:        ajb
# Maintainer:    $Author: ajb $
# Created:       2008-08-07
# Last Modified: $Date: 2011-07-21 16:26:34 +0100 (Thu, 21 Jul 2011) $
# Id:            $Id: 20-image_map.t 13725 2011-07-21 15:26:34Z ajb $
# $HeadURL: svn+ssh://svn.internal.sanger.ac.uk/repos/svn/new-pipeline-dev/useful_modules/tags/release-37.0/t/20-image_map.t $
#

use strict;
use warnings;
use Carp;
use English qw{-no_match_vars};
use SangerPaths qw{core ensembl badger trackingnpg tracking};
use Test::More tests => 6;
use t::util;

use_ok('npg_common::image_map');

my $data = [[0,30,21,51,{position => 1,tile => 50,value => 34.5,}],[22,30,43,51,{position => 1,tile => 51,value => 1.6,}],[46,30,67,51,{position => 2,tile => 50,value => 34.5,}],[68,30,89,51,{position => 2,tile => 51,value => 1.6,}]];
my $t_util = t::util->new();

foreach my $box (@{$data}) {
  my $hash = $box->[4];
  my $url = q{/cgi-bin/?id_run=10&position=}. $hash->{position} . q{&tile=} . $hash->{tile};
  $hash->{url} = $url;
}

my $image_map_object = npg_common::image_map->new();

isa_ok($image_map_object, 'npg_common::image_map', '$image_map_object');

my $new_image_map_object = npg_common::image_map->new({});
isa_ok($new_image_map_object, 'npg_common::image_map', '$new_image_map_object');
isnt($new_image_map_object, $image_map_object, 'new object created, with hashref sent to it');


my $map;

eval { $map = $image_map_object->render_map({id => 'some_id', data => $data, image_url => 'http://some/url/image'}); };
is($EVAL_ERROR, q{}, 'no croak on create of map');
ok($t_util->test_rendered($map, 't/data/rendered/map.html'), 'map rendered ok');
