# $Id: 40-roles_run_status.t 13725 2011-07-21 15:26:34Z ajb $
use strict;
use warnings;
use Carp;
use English qw{-no_match_vars};
use Test::More 'no_plan';#tests => ;
use Test::Exception;
use lib qw{t t/lib};
use t::util;

BEGIN {
  use_ok( q{npg_common::roles::run::status} );
}

use npg_common::role_tests::run_status_no_extra_methods;
use npg_common::role_tests::run_status_has_run_method;

my $util = t::util->new();

my $apiutil;

{

  my $status;
  lives_ok {
    $status = npg_common::role_tests::run_status_no_extra_methods->new();
  } q{obtain object ok};

  throws_ok {
    $status->update_run_status( {} );
  } qr{no[ ]id_run[ ]and/or[ ]status_desc[ ]provided}, q{no id_run};

  throws_ok {
    $status->update_run_status( { id_run => 1234, } );
  } qr{no[ ]id_run[ ]and/or[ ]status_desc[ ]provided}, q{no status_desc};

  lives_ok {
    $status->update_run_status( {
      id_run => 1234,
      status_desc => q{run pending},
    } );
  } q{status updated};

  $apiutil = $status->apiutil();

}
{
  my $status;
  lives_ok {
    $status = npg_common::role_tests::run_status_has_run_method->new({
      apiutil => $apiutil,
    });
  } q{obtain object ok};

  lives_ok {
    $status->update_run_status( {
      status_desc => q{run pending},
    } );
  } q{status updated};
}

1;