package t::useragent;
use LWP::UserAgent;
use HTTP::Response;
use English qw(-no_match_vars);
use Carp;
use File::Spec::Functions qw(catfile);

*t::useragent::request_http = *LWP::UserAgent::request;

fetch_from_file();

sub fetch_from_file {
  carp "Switching on fetching from file ... \n";
  *LWP::UserAgent::request = *t::useragent::request_file;
}

sub fetch_from_web {
  *LWP::UserAgent::request = *t::useragent::request_http;
}

sub request_file {
  my ($self, $request) = @_;

  my $url = $request->uri();
  #carp "Fetching from file $url \n";

  my ($stpath)  = $url =~ m{https?://psd\-[^/]+(.*?)$}mx;
  my ($npgpath) = $url =~ m{https?://intweb.*npg[^/]*?(.*?)$}mx;

  if($npgpath) {

      #carp 'path ' . $npgpath;
      #########
      # some npg requests have ugly suffixes
      #
      $npgpath =~ s/_xml//mx;

      my $method = $request->method;
      if ($method && $method ne 'GET') {
	$npgpath .= q[-] . uc $method;
      }
  }

  my $test_data = '';

  my $root = $ENV{NPG_TEST_CACHE} ?  $ENV{NPG_TEST_CACHE} : q[t/data/sequence];

  if($stpath && -e catfile($root, "st$stpath.xml")) {
    $test_data = catfile($root, "st$stpath.xml");
  } elsif($npgpath && -e catfile($root, "npg$npgpath.xml")) {
    $test_data = catfile($root, "npg$npgpath.xml");
  }
  
  if ($test_data) {
    open my $fh, q(<), $test_data or croak qq(Error opening $test_data: $ERRNO);
    local $RS   = undef;
    my $content = <$fh>;
    close $fh;
    return HTTP::Response->new(200, '200 Ok', ['Content-Type', 'text/xml'], "$content");
  }

  carp qq(No mock data configured for $url, searched for $test_data.);

  return HTTP::Response->new(404, "404 Not Found (No mock data configured for $url.)", undef, "TEST USERAGENT: No mock data configured for $url.");
};

1;
